org.springframework.data.relational.core.mapping.event

## Interface WithAggregateChange<E>

All Superinterfaces:
  RelationalEvent<E>

All Known Implementing Classes:
  AfterDeleteEvent, AfterSaveEvent, BeforeConvertEvent, BeforeDeleteEvent, BeforeSaveEvent, RelationalDeleteEvent, RelationalSaveEvent

    public interface WithAggregateChange<E>
    extends RelationalEvent<E>

`RelationalEvent` that represents a change to an aggregate and therefore has an `AggregateChange`

Author:
  Jens Schauder

### Method Summary

All Methods Instance Methods Abstract Methods
`AggregateChange<E>` `getAggregateChange()`

### Methods inherited from interface org.springframework.data.relational.core.mapping.event.RelationalEvent

`getEntity, getType`

### Method Detail

#### getAggregateChange

    AggregateChange<E> getAggregateChange()

Returns:
  Guaranteed to be not null.